/*= Wavetek Model 95 20 MHz Synthesized Arbitrary Function Generator=======*/
#ifndef __wt95_HEADER
#define __wt95_HEADER

#define PUBLIC __stdcall

#if defined (__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*=========================================================================*/
/*  Please note that the use of global variables or arrays in the Include  */
/*  file is no longer allowed.                                             */
/*=========================================================================*/

/* CONSTANT DECLARATIONS ================================================== */
/* Replace 10 with the maximum number of devices of this type being used.   */
#define wtk95_MAX_INSTR        10

/*= GLOBAL FUNCTION DECLARATIONS ==========================================*/
int PUBLIC wtk95_init (int GPIBAddress, int IDQuery, int resetDevice, int *instrumentID);
int PUBLIC wtk95_config (int instrumentID, int functionType, double frequency,
                  double amplitude, double DCOffset, double DCOutputVoltage,
                  int outputMode, int outputImpedance);
int PUBLIC wtk95_variable_time_symmetry (int instrumentID, int variableSymmetry,
                                  int symmetryPercent);
int PUBLIC wtk95_phase_lock_shift (int instrumentID, int phaseLock, int extPhaseShift);
int PUBLIC wtk95_store_recall_settings (int instrumentID, int operation,
                                 int storageSetting);
int PUBLIC wtk95_trigger_mode (int instrumentID, int triggerMode, double triggerFrequency);
int PUBLIC wtk95_gated_mode (int instrumentID, int gateSource, double triggerFrequency);
int PUBLIC wtk95_burst_mode (int instrumentID, int triggerMode, double triggerFrequency,
                      long burstCount);
int PUBLIC wtk95_amplitude_modulation (int instrumentID);
int PUBLIC wtk95_suppressed_carrier_mod (int instrumentID);
int PUBLIC wtk95_freq_modulation (int instrumentID, double centerFrequency,
                           double peakDeviation, double *modulationAmplitude);
int PUBLIC wtk95_voltage_controlled_gen (int instrumentID, double initialfrequency,
                                  double positiveFreqChange,
                                  double negativeFreqChange, double *positiveVCG,
                                  double *negativeVCG);
int PUBLIC wtk95_range_lock_off (int instrumentID);
int PUBLIC wtk95_sweep_mode (int instrumentID, int sweepMode, int sweepType,
                      double startFrequency, double stopFrequency, double sweepRate,
                      int triggerSource, double intTrigSweepFreq);
int PUBLIC wtk95_gpib_sweep_trigger (int instrumentID);
int PUBLIC wtk95_arb_wvfm_edit_mode (int instrumentID, int editMode, int startAddress,
                              int stopAddress, int syncAddress);
int PUBLIC wtk95_erase_arb_wvfm (int instrumentID);
int PUBLIC wtk95_restore_waveform (int instrumentID);
int PUBLIC wtk95_set_arb_address (int instrumentID, int address);
int PUBLIC wtk95_set_arb_data (int instrumentID, int arbitraryData);
int PUBLIC wtk95_filter (int instrumentID, int filterBandwidth);
int PUBLIC wtk95_smoothing (int instrumentID, int smoothBandwidth);
int PUBLIC wtk95_arb_wvfm_store (int instrumentID, int arbWaveform);
int PUBLIC wtk95_close (int instrumentID);

#if defined (__cplusplus) || defined(__cplusplus__)
}
#endif

/*****************************************************************************/
/*=== END INCLUDE FILE ======================================================*/
/*****************************************************************************/

#endif
